<?php
/*
 * ##################################################################
 * Created on: Jul 28, 2005
 * File name:  creditcard.php 
 * ##################################################################
 * This code is a sole property of netenberg.com 
 * ##################################################################
 */
$name           = "Credit Card";
//Fields for admin backend
$creditcard     = array (
                        array ("Instructions message"       , "disp_msg"),
                        array ("Show additional currencies" , "add_curr", "No", "Yes"),
                        array ("Active"                     , "active", "No", "Yes"),
                        array ("Title"                      , "title")
                        );
//Extra fields for order form and customer backend                        
$ext_fields     = array (
                        // 0=$lang ,1=var, 2=store 3=encrypt, 4=type, 5=size, 6=required, 7=show in [, options]
                        array("Cardholder_Name"     ,"card_holder"      ,1,0,"text"     ,35 ,1,2),
                        array("Card_Number"         ,"card_no"          ,1,1,"text"     ,35 ,1,2),
                        array("Card_Type"           ,"card_type"        ,1,0,"select"   ,1  ,1,2 , "Visa","Mast","Amex","Disc"),
                        array("Exp_Date"            ,"exp_date"         ,1,0,"text"     ,7  ,1,2),
                        array("CVV2_Code"           ,"CVV2"             ,1,1,"text"     ,4  ,1,2)
                        );                        
$send_method    = "DIRECT";
$pay            = new creditcard();
/*
 * Class to do all offline
 * creditcard Version 1.0
 */
class creditcard
{
	/*
	 * Constructor
	 */
	function creditcard()
	{
		//Do nothing
	}
    /*
     * Function to send variables
     */
    function sendVariables($path_url, $pp_vals)
    {
        $this->_POST1               = array ();
        $this->_POST1['item_number']= time().rand(0, 1000);
        if (isset ($_POST['force_inv_no']))
        {
            $this->_POST1['item_number'] = $_POST['force_inv_no'];
        }
    }
    /*
     * IPN=Internet Payment Notifier
     */
    function ipn(& $BL)
    {
        return false;
    }
}
?>